Workflows
Execute one data or tool node with supplied input data
POST
/workflows/{id}/test-nodeAuthorizationBearer <token>
In: header
Path Parameters
id*string
Query Parameters
workspace_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/workflows/string/test-node?workspace_id=string" \ -H "Content-Type: application/json" \ -d '{ "data": { "property1": null, "property2": null }, "expected_revision": 1, "step_id": "string" }'{ "$schema": "https://example.com/api/v1/schemas/WorkflowRun.json", "created_at": "2019-08-24T14:15:22Z", "current_step_id": "string", "definition": { "schema": 1, "source": { "$schema": "https://example.com/api/v1/schemas/WorkflowSource.json", "account_ids": [ "string" ], "connection_id": "string", "include_prereleases": true, "interval_minutes": 0, "kind": "manual", "repository": "string", "url": "string" }, "steps": [ { "else": [ {} ], "id": "string", "inputs": { "property1": { "literal": null, "reference": "string" }, "property2": { "literal": null, "reference": "string" } }, "kind": "create_draft", "name": "string", "then": [ {} ] } ] }, "error": "string", "id": "string", "mode": "string", "revision": 0, "source": { "property1": null, "property2": null }, "state": "string", "steps": [ { "completed_at": "2019-08-24T14:15:22Z", "error": "string", "inputs": { "property1": null, "property2": null }, "kind": "string", "name": "string", "output": { "property1": null, "property2": null }, "started_at": "2019-08-24T14:15:22Z", "state": "string", "step_id": "string" } ], "updated_at": "2019-08-24T14:15:22Z", "wake_at": "2019-08-24T14:15:22Z", "workflow_id": "string", "workflow_name": "string", "workflow_revision": 0, "workspace_id": "string"}Preview a workflow without effects or explicitly start a live run POST
Previous Page
List permission-safe instance audit evidence GET
Projects consequential evidence across the instance without exposing Workspace content, emails, secrets, credentials, invitation links, or provider payloads. Requires an unscoped instance-administrator browser session.